import io
from setuptools import setup

def read_file(filename): 
    with io.open(filename, mode='r', encoding='utf-8') as fd:
        return fd.read()

setup(
    name='FAMEwork',
    version='0.1.3',
    use_scm_version=False,
    setup_requires=['setuptools_scm'],
    include_package_data=True,
    packages=['.'],
    url='https://github.com/zRapha/FAME',
    license='MPL-2.0',
    author='Raphael Labaca Castro',
    author_email='mail@rapha.ai',
    description='Framework for Adversarial Malware Evaluation', 
    long_description=read_file('README.md'), 
    long_description_content_type='text/markdown', 
    platforms=['Fedora 30, Ubuntu 16'], 
    entry_points={'console_scripts': ['fame = main:main',]}
)
